## org.hibernate.metamodel.binding
Class HierarchyDetails

    java.lang.Object
      org.hibernate.metamodel.binding.HierarchyDetails

    public class HierarchyDetails

extends Object

Constructor Summary
`HierarchyDetails(EntityBinding rootEntityBinding, InheritanceType inheritanceType, EntityMode entityMode)`

Method Summary
`Caching` `getCaching()`
`EntityDiscriminator` `getEntityDiscriminator()`
`EntityIdentifier` `getEntityIdentifier()`
`EntityMode` `getEntityMode()`
`InheritanceType` `getInheritanceType()`
`OptimisticLockStyle` `getOptimisticLockStyle()`
`EntityBinding` `getRootEntityBinding()`
`BasicAttributeBinding` `getVersioningAttributeBinding()`
`boolean` `isExplicitPolymorphism()`
`void` `setCaching(Caching caching)`
`void` `setEntityDiscriminator(EntityDiscriminator entityDiscriminator)`
`void` `setExplicitPolymorphism(boolean explicitPolymorphism)`
`void` `setOptimisticLockStyle(OptimisticLockStyle optimisticLockStyle)`
`void` `setVersioningAttributeBinding(BasicAttributeBinding versioningAttributeBinding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchyDetails

    public HierarchyDetails(EntityBinding rootEntityBinding,
                            InheritanceType inheritanceType,
                            EntityMode entityMode)

Method Detail

### getRootEntityBinding

    public EntityBinding getRootEntityBinding()

### getInheritanceType

    public InheritanceType getInheritanceType()

### getEntityMode

    public EntityMode getEntityMode()

### getEntityIdentifier

    public EntityIdentifier getEntityIdentifier()

### getEntityDiscriminator

    public EntityDiscriminator getEntityDiscriminator()

### getOptimisticLockStyle

    public OptimisticLockStyle getOptimisticLockStyle()

### setOptimisticLockStyle

    public void setOptimisticLockStyle(OptimisticLockStyle optimisticLockStyle)

### setEntityDiscriminator

    public void setEntityDiscriminator(EntityDiscriminator entityDiscriminator)

### getVersioningAttributeBinding

    public BasicAttributeBinding getVersioningAttributeBinding()

### setVersioningAttributeBinding

    public void setVersioningAttributeBinding(BasicAttributeBinding versioningAttributeBinding)

### getCaching

    public Caching getCaching()

### setCaching

    public void setCaching(Caching caching)

### isExplicitPolymorphism

    public boolean isExplicitPolymorphism()

### setExplicitPolymorphism

    public void setExplicitPolymorphism(boolean explicitPolymorphism)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.